FreeBSD : imlib2 -- XPM processing buffer overflow vulnerability (910486d5-ba4d-11dd-8f23-0019666436c2)

High Nessus Plugin ID 34951


The remote FreeBSD host is missing one or more security-related updates.


Secunia reports :

A vulnerability has been discovered in imlib2, which can be exploited by malicious people to potentially compromise an application using the library.

The vulnerability is caused due to a pointer arithmetic error within the 'load()' function provided by the XPM loader. This can be exploited to cause a heap-based buffer overflow via a specially crafted XPM file.

Successful exploitation may allow execution of arbitrary code.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 34951

File Name: freebsd_pkg_910486d5ba4d11dd8f230019666436c2.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2008/11/25

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:imlib2, p-cpe:/a:freebsd:freebsd:imlib2-nox11, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2008/11/24

Vulnerability Publication Date: 2008/11/20

Reference Information

CVE: CVE-2008-5187

BID: 32371

CWE: 119